## checky 2.5-4

=== debian/changelog ===
checky (2.5-4) unstable; urgency=low

  * debian/dirs, debian/links, debian/control: Add support for the new firefox
    package. We will keep backwards compatibility with mozilla-firefox until
    etch release.

 -- Mike Hommey <glandium@debian.org>  Sun, 25 Dec 2005 08:12:06 +0100

checky (2.5-3) unstable; urgency=low

  * install/install.rdf: Allow checky to work with firefox 1.5.

 -- Mike Hommey <glandium@debian.org>  Sat,  5 Nov 2005 11:13:06 +0100

checky (2.5-2) unstable; urgency=low

  * debian/control, debian/postrm, debian/postinst, debian/links, debian/dirs:
    Removed support for mozilla-browser-snapshot, which doesn't exist any more.
  * debian/rules, debian/chrome.manifest: Make checky work with Deer Park.
  * debian/control: Changed my maintainer address.

 -- Mike Hommey <glandium@debian.org>  Sat,  6 Aug 2005 23:36:46 +0200

checky (2.5-1) unstable; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Tue, 28 Dec 2004 18:41:26 +0900

checky (2.4-4) unstable; urgency=medium

  * Set urgency to medium because version currently in sarge doesn't work with
    the version of firefox in there.
  * debian/preinst: Remove directory that would be on the way of the link in
    /usr/lib/mozilla-firefox/extensions. This directory can exist in some
    cases, if some versions of firefox have been used in the past in
    conjunction of checky.

 -- Mike Hommey <mh@glandium.org>  Thu, 18 Nov 2004 23:06:37 +0900

checky (2.4-3) unstable; urgency=low

  * debian/links: Moved the preference link from /etc/mozilla-firefox to
    usr/share/mozilla-extensions/checky/defaults/preferences.
  * debian/control: Adjusted conflict accordingly (firefox prior to 1.0-1
    doesn't support that).

 -- Mike Hommey <mh@glandium.org>  Thu, 11 Nov 2004 18:43:39 +0900

checky (2.4-2) unstable; urgency=low

  * debian/chrome.d: Removed de* locales, which are not provided anymore.
  * Switched to new firefox extensions layout:
    + debian/Uninstall: Added.
    + debian/dirs: Removed /usr/lib/mozilla-firefox/chrome,
      /var/lib/mozilla-firefox/chrome.d, and
      /usr/share/mozilla-extensions/checky/{uid} ;
      added /usr/share/mozilla-extensions/checky/chrome and
      /usr/share/mozilla-extensions/checky/uninstall.
    + debian/rules: Adjusted paths for new file locations, and install
      the additional Uninstall file.
    + debian/links: Adjusted links to new file locations.
    + debian/control:
      - Conflicts with firefox versions earlier than 0.99+1.0RC1-3,
        which introduces this new scheme.
      - Put mozilla-firefox as the first choice in Depency alternatives.
  * install/install.rdf: Bumped em:MaxVersion to 1.0 so that checky can
    work with firefox 1.0RC* and future 1.0.

 -- Mike Hommey <mh@glandium.org>  Sat,  6 Nov 2004 20:23:12 +0900

checky (2.4-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Added a watch file

 -- Mike Hommey <mh@glandium.org>  Sat, 16 Oct 2004 18:42:29 +0900

checky (2.3-1) unstable; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Wed, 13 Oct 2004 14:33:22 +0900

checky (2.2-4) unstable; urgency=high

  * Urgency high to get these changes into sarge. Will better fit with
    new mozilla-firefox extensions handling.
  * checky/content/checky/contents.rdf: removed chrome:extension="true"
    so that the extension is not considered "old" by Firefox 0.9+.
  * debian/dirs, debian/links:
    + Moved {uid} directory from
      /usr/lib/mozilla-firefox/defaults/profile/extensions/ to
      /usr/share/mozilla-extensions/checky/{uid}.
    + /usr/lib/mozilla-firefox/extensions/{uid} is now a link to
      /usr/share/mozilla-extensions/checky/{uid}.
    * debian/rules: put install.rdf file into
      /usr/share/mozilla-extensions/checky/{uid}.
    * debian/control: Conflicts with mozilla-firefox <= 0.9.3-2.

 -- Mike Hommey <mh@glandium.org>  Sun, 22 Aug 2004 21:51:09 +0900

checky (2.2-3) unstable; urgency=low

  * debian/control: Put a conflict instead of the versioned dependency.
  * debian/rules: Changed 'cp' to 'install -m 644'.

 -- Mike Hommey <mh@glandium.org>  Sat, 31 Jul 2004 13:31:05 +0900

checky (2.2-2) unstable; urgency=low

  * debian/control: Added versioned dependency upon mozilla-firefox
    (based on upstream install.rdf).

 -- Mike Hommey <mh@glandium.org>  Fri, 16 Jul 2004 15:31:12 +0900

checky (2.2-1) unstable; urgency=low

  * New upstream release
  * Firefox and Mozilla support has been incorporated upstream, thus
    debian changes for that are not needed anymore. Thanks Joachim :)
  + debian/install.rdf: removed file.
  + debian/rules: use install/install.rdf instead of debian/install.rdf.
  + debian/extensions.d, debian/links, debian/dirs: updated extension id.

 -- Mike Hommey <mh@glandium.org>  Sat, 10 Jul 2004 17:22:36 +0900

checky (2.1-2) unstable; urgency=low

  * Added support for Firefox 0.9+ by:
    + Adding a debian/extensions.d file.
    + Add the appropriate extensions directory to debian/dirs.
    + Add the appropriate link in debian/links.
    + Adapt the debian/rules script to install the needed files.
  * Removed support for Firebird:
    + debian/control: removed dependency upon Firebird.
    + debian/post*: removed call to update-mozilla-firebird-chrome.

 -- Mike Hommey <mh@glandium.org>  Sat,  3 Jul 2004 06:23:26 +0900

checky (2.1-1) unstable; urgency=low

  * New upstream release
  * Changed orig.tar.gz layout to comply with policy. Closes: #246630.
  * Merged new checky-firefox and checky-mozilla so that we only have to
    provide one package.
  * debian/rules: removed the non-existant skin directory from zip call.

 -- Mike Hommey <mh@glandium.org>  Sat,  1 May 2004 12:35:19 +0900

checky (2.0-5) unstable; urgency=low

  * Added support for mozilla-firefox.
  * Made the output of `which` quiet in postrm and postinst.

 -- Mike Hommey <mh@glandium.org>  Wed, 25 Feb 2004 16:27:33 +0900

checky (2.0-4) unstable; urgency=low


