=== debian/control ===
Source: checky
Section: web
Priority: optional
Maintainer: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Build-Depends-Indep: zip
Standards-Version: 3.6.1

Package: mozilla-checky
Architecture: all
Depends: firefox | mozilla-firefox | mozilla-browser
Conflicts: checky, mozilla-firefox (<< 1.0-1)
Replaces: checky
Provides: checky
Description: Online validation and analysis services for Mozilla
 The Checky plug-in is a simple Interface for web content and resource
 developers to free and commercial online Validator and Checker services.
 .
 Checky adds a submenu to Mozilla's context menu that allows you to run
 whatever page you're on through one of (currently) 24 different online
 validation and analysis services. Checky-Agent can be activated from the
 Checky menu or by simply pressing the SHIFT+F12 keys. So, for example,
 you could run your page against the W3C's markup and CSS validators, the
 Web Design Group's HTML Validator, and Watchfire's Bobby with a single
 keystroke and display the results in a new browser window or tab.
 .
 Service-Interfaces are available for HTML, XHTML, CSS, RDF, RSS, XML, SGML,
 WAI, 508, P3P, various viewer, valets and purifiers. Some of these
 interfaces allow you to operate with local files in addition to remote web
 pages.
