=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf $(CURDIR)/debian/tmp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/mozilla-checky
	cd $(CURDIR)/checky && zip -r $(CURDIR)/debian/mozilla-checky/usr/share/mozilla-extensions/checky/chrome/checky.jar *
	install -m 644 $(CURDIR)/debian/chrome.d $(CURDIR)/debian/extensions.d $(CURDIR)/debian/chrome.manifest $(CURDIR)/debian/mozilla-checky/usr/share/mozilla-extensions/checky/
	install -m 644 $(CURDIR)/install/install.rdf $(CURDIR)/debian/mozilla-checky/usr/share/mozilla-extensions/checky/
	install -m 644 $(CURDIR)/install/checky.js $(CURDIR)/debian/mozilla-checky/etc/mozilla-extensions/checky.js
	install -m 644 $(CURDIR)/debian/Uninstall $(CURDIR)/debian/mozilla-checky/usr/share/mozilla-extensions/checky/uninstall/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
