=== debian/watch ===
version=2
http://ftp1.sourceforge.net/checky/checky-([\d\.]+)-src\.tar\.bz2
